export declare class FacilitatorNotesForm {
  el: HTMLElement;
  initialValues: {
    Id: number;
    NoteText: string;
  };
  formControls: {
    noteText: {
      isValid: boolean;
      value: string;
      errorMessage: string;
      validate: (value: any) => {
        valid: boolean;
        errorMessage: string;
      };
    };
  };
  submitted: boolean;
  componentDidLoad(): void;
  onSubmit(e: any): Promise<void>;
  dismiss(data?: any): void;
  changeFormValue(controlName: any, value: any): void;
  render(): any;
}
